Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.chebpts1

polynomial.chebyshev.chebpts1(npts)

  Chebyshev points of the first kind.

  The Chebyshev points of the first kind are the points `cos(x)`, where `x = [pi*(k + .5)/npts for k in range(npts)]`.

  Parameters:
    npts int

      Number of sample points desired.

  Returns:
    pts ndarray

      The Chebyshev points of the first kind.

  See also

  `chebpts2`